| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.ControlViewerForm Class Reference

Windows form (System.Windows.Forms.Form) that can launch and show arbitrary controls and can create them if necessary. More...

Inheritance diagram for IG.Forms.ControlViewerForm:
[legend]
Collaboration diagram for IG.Forms.ControlViewerForm:
[legend]

## Public Member Functions
| ControlViewerForm ()
| Creates a control viewer form with default parameters. Control to be shown can be chosen on the More...
| ControlViewerForm (Control launchedControl)
| Creates the control viewer window and assigns the (already created) specified control to be shown in the viewer. More...

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
ControlViewerControl | Viewer`[get]`
| Gets the control within the current form that is responsible for displaying the inspected control. More...

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
ControlViewerControl | controlViewerControl1

## Detailed Description

Windows form (System.Windows.Forms.Form) that can launch and show arbitrary controls and can create them if necessary.

## Constructor & Destructor Documentation

IG.Forms.ControlViewerForm.ControlViewerForm | ( |  | ) |
| inline

Creates a control viewer form with default parameters. Control to be shown can be chosen on the

IG.Forms.ControlViewerForm.ControlViewerForm | ( | Control | launchedControl | ) |
| inline

Creates the control viewer window and assigns the (already created) specified control to be shown in the viewer.

Parameters

  launchedControl | Control to be shown in the viewing container of the form.

## Member Function Documentation

override void IG.Forms.ControlViewerForm.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.ControlViewerForm.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.ControlViewerForm.components = null
| private

Required designer variable.

ControlViewerControl IG.Forms.ControlViewerForm.controlViewerControl1
| private

## Property Documentation

ControlViewerControl IG.Forms.ControlViewerForm.Viewer
| get

Gets the control within the current form that is responsible for displaying the inspected control.

The documentation for this class was generated from the following files:

- igforms/Utilities/Viewers/ControlViewerForm.cs
- igforms/Utilities/Viewers/ControlViewerForm.Designer.cs